Apache httpd 2.4.35 with brotli support, built against OpenSSL 1.1.1 with http2 and ALPN for Red Hat Enterprise Linux and CentOS

Apache httpd 2.4.35 with brotli compression library from Google, http2 (HTTP/2) support for Red Hat Enterprise Linux and CentOS added to repository. Mod_ssl is built statically against OpenSSL 1.1.1.

Links:

  • Apache
    httpd 2.4.35 with brotli compression library from Google, http2 (HTTP/2) support for Red Hat Enterprise Linux and CentOS added to repository. Mod_ssl is built statically against OpenSSL 1.1.1.

    Links:

    Since 2.4.33 we added brotli compression library.
    Since 2.4.35 release we start building
    Apache
    httpd against OpenSSL 1.1.1.

    Although OpenSSL added TLS 1.3 support, please note that
    Apache
    httpd 2.4.35 does not allow to enable it. Developers agreed that TLSv1.3 support will be backported from trunc to 2.4.x branch, we will have more info soon. New ciphers from OpenSSL 1.1.1 work fine.

    brotli support is already included in base RPM file. All you need is to add filters like

    AddOutputFilterByType BROTLI_COMPRESS text/html text/plain text/xml text/css text/javascript application/javascript

    Http2
    Apache
    httpd module no longer supports prefork mpm from version 2.4.27. If you need http2 module, please disable prefork mpm and enable evemt mpm in /etc/httpd/conf.modules.d/00-mpm.conf.
    We already made this in 00-mpm.conf in our packages. If you are updating other vendor installation, please update this file.

    For correct work with SELinux please update the following boolean:

    setsebool -P httpd_execmem=1

    Feel free to use our CentOS/RHEL repository. Please also note that this package depends on apr-util 1.5.0+ and libnghttp, which you can found in EPEL repository. So, the easiest way to use our builds of
    Apache
    HTTPd is to add EPEL repository, if you still do not have it: yum install -y epel-release